Loading...
Searching...
No Matches
ss7_instance.h File Reference
`#include <stdint.h>`
`#include <stdbool.h>`
`#include <osmocom/core/linuxlist.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_ss7_pc_fmt
struct | osmo_ss7_instance

## Macros

#define | _LOGSS7(inst, subsys, level, fmt, args ...) LOGP(subsys, level, "%u: " fmt, inst ? (inst)->cfg.id : 0, ## args)
#define | LOGSS7(inst, level, fmt, args ...) _LOGSS7(inst, DLSS7, level, fmt, ## args)

## Functions

struct osmo_ss7_instance * | ss7_instance_alloc (void *ctx, uint32_t id)
uint32_t | ss7_find_free_l_rk_id (struct osmo_ss7_instance *inst)

## Macro Definition Documentation

## _LOGSS7

#define _LOGSS7 | ( |  | inst,
|  |  | subsys,
|  |  | level,
|  |  | fmt,
|  |  | args ...
| ) |  | LOGP(subsys, level, "%u: " fmt, inst ? (inst)->cfg.id : 0, ## args)

## LOGSS7

#define LOGSS7 | ( |  | inst,
|  |  | level,
|  |  | fmt,
|  |  | args ...
| ) |  | _LOGSS7(inst, DLSS7, level, fmt, ## args)

## Function Documentation

## ss7_find_free_l_rk_id()

uint32_t ss7_find_free_l_rk_id | ( | struct osmo_ss7_instance * | inst | ) |

References next_l_rk_id, and osmo_ss7_as_find_by_l_rk_id().

Referenced by ss7_as_alloc().

## ss7_instance_alloc()

struct osmo_ss7_instance * ss7_instance_alloc | ( | void * | ctx,
|  | uint32_t | id
| ) |  |

References osmo_ss7_instance::as_list, osmo_ss7_instance::asp_list, osmo_ss7_instance::cfg, osmo_ss7_pc_fmt::component_len, osmo_ss7_pc_fmt::delimiter, osmo_ss7_instance::id, osmo_ss7_instance::linksets, osmo_ss7_instance::list, LOGSS7, osmo_ss7_instances, OSMO_SS7_PC_INVALID, osmo_ss7_instance::pc_fmt, osmo_ss7_instance::primary_pc, osmo_ss7_instance::rtable_list, osmo_ss7_instance::rtable_system, osmo_ss7_instance::sccp_address_book, osmo_ss7_instance::secondary_pc, ss7_route_table_find_or_create(), and osmo_ss7_instance::xua_servers.

Referenced by osmo_ss7_instance_find_or_create().